namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "hex")]
public class Hex : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (!target.StatusScript.IsEmpty)
        {
            basePower = basePower.MultiplyOrMax(2);
        }
    }
}